GDB (xrefs)

Public Member Functions | Public Attributes | Private Member Functions | List of all members
completion_result Struct Reference

`#include "completer.h"`

## Public Member Functions
| completion_result ()
| completion_result (char **match_list, size_t number_matches, bool completion_suppress_append)
| ~completion_result ()
| DISABLE_COPY_AND_ASSIGN (completion_result)
| completion_result (completion_result &&rhs)
char ** | release_match_list ()
void | sort_match_list ()

## Public Attributes
char ** | match_list
size_t | number_matches
bool | completion_suppress_append

## Private Member Functions
void | reset_match_list ()

## Detailed Description

Definition at line 230 of file completer.h.

## Constructor & Destructor Documentation

## ◆ completion_result() [1/3]

completion_result::completion_result | ( |  | ) |

Definition at line 2070 of file completer.c.

## ◆ completion_result() [2/3]

completion_result::completion_result | ( | char ** | match_list,
|  | size_t | number_matches,
|  | bool | completion_suppress_append
| ) |  |

Definition at line 2077 of file completer.c.

## ◆ ~completion_result()

completion_result::~completion_result | ( |  | ) |

Definition at line 2087 of file completer.c.

References reset_match_list().

## ◆ completion_result() [3/3]

completion_result::completion_result | ( | completion_result && | rhs | ) |

Definition at line 2094 of file completer.c.

References match_list, number_matches, and reset_match_list().

## Member Function Documentation

## ◆ DISABLE_COPY_AND_ASSIGN()

completion_result::DISABLE_COPY_AND_ASSIGN | ( | completion_result |  | ) |

## ◆ release_match_list()

char ** completion_result::release_match_list | ( |  | ) |

Definition at line 2109 of file completer.c.

References match_list.

Referenced by gdb_rl_attempted_completion_function_throw().

## ◆ reset_match_list()

void completion_result::reset_match_list | ( |  | ) |
| private

Definition at line 2134 of file completer.c.

References match_list, and xfree().

Referenced by completion_result(), and ~completion_result().

## ◆ sort_match_list()

void completion_result::sort_match_list | ( |  | ) |

Definition at line 2119 of file completer.c.

References compare_cstrings(), match_list, and number_matches.

Referenced by complete_command().

## Member Data Documentation

## ◆ completion_suppress_append

bool completion_result::completion_suppress_append

Definition at line 276 of file completer.h.

Referenced by gdb_rl_attempted_completion_function_throw().

## ◆ match_list

char** completion_result::match_list

Definition at line 269 of file completer.h.

Referenced by complete_command(), completion_result(), release_match_list(), reset_match_list(), and sort_match_list().

## ◆ number_matches

size_t completion_result::number_matches

Definition at line 272 of file completer.h.

Referenced by complete_command(), completion_result(), and sort_match_list().

The documentation for this struct was generated from the following files:

- /tmp/gdb-8.1/gdb/completer.h
- /tmp/gdb-8.1/gdb/completer.c